# pion::plugins::CookieService Class Reference

`#include <CookieService.hpp>`

Inherits pion::net::WebService.

List of all members.

## Detailed Description

CookieService: web service that displays and updates cookies

Definition at line 22 of file CookieService.hpp.

## Public Member Functions

| CookieService (void)
virtual | ~CookieService ()
virtual void | operator() (pion::net::HTTPRequestPtr &request, pion::net::TCPConnectionPtr &tcp_conn)
| handles requests for CookieService

The documentation for this class was generated from the following files:

- net/services/CookieService.hpp
- net/services/CookieService.cpp